Results 1 to 3 of 3

Thread: libgcrypt.so.11()(64bit) mising when installing VLC for 13.2

  1. #1

    Default libgcrypt.so.11()(64bit) mising when installing VLC for 13.2

    Dear all,

    I am making an experiment to see whether I will be able to completely ditch windows and use only openSUSE. I have managed so far to resolve some problems but I have some difficulties playing videos with mp4, avi and mpeg extensions. I have googled and came to the conclusion that those are not supported due to some patent issues. Therefore, one has to manage things by installing what is needed. So I did the following:

    Code:
    john@linux-f44g:~/.mozilla/firefox> sudo zypper ar http://download.videolan.org/pub/vlc/SuSE/13.2 VLC
    Adding repository 'VLC' .......................................................................................................................[done]
    Repository named 'VLC' already exists. Please use another alias.
    john@linux-f44g:~/.mozilla/firefox> sudo zypper mr -r VLC
    Autorefresh has been enabled for repository 'VLC'.
    john@linux-f44g:~/.mozilla/firefox> sudo zypper in vlc
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides libgcrypt.so.11()(64bit) needed by vlc-2.2.1-285.26.x86_64
     Solution 1: do not install vlc-2.2.1-285.26.x86_64
     Solution 2: break vlc-2.2.1-285.26.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): c
    Now we come to the problematic point libgcrypt.so.11()(64bit) is missing. To install this I went to

    http://rpmfind.net//linux/RPM/opensu....1.x86_64.html

    I nstalled something, however the library was still missing. Then I tried to look for this library via zipper

    Code:
    john@linux-f44g:~/.mozilla/firefox> sudo zypper search --installed-only | grep libgcrypt
    i | libgcrypt20                                | The GNU Crypto Library                                                                               | package    
    i | libgcrypt20-32bit                          | The GNU Crypto Library                                                                               | package
    Do I have a conflict, because I have libcrypt20 or something else is wrong? In general, why such a simple thing, which takes 5 second on windows has to be so complicated? Come on guys, an os that can not play video, seriously

    I would appreciate your help.

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,027

    Default Re: libgcrypt.so.11()(64bit) mising when installing VLC for 13.2

    As per other thread you are using the wrong repo. Read the posts at top of this topic for how to properly get the restricted codecs

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,375

    Default Re: libgcrypt.so.11()(64bit) mising when installing VLC for 13.2

    This is CLOSED as a double post. Please see the other one: https://forums.opensuse.org/showthre...96#post2717196
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •